Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 31 Oct 2014, 16:17
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
fwbuilder / libqt problem
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
boughtonp

Joined: 04 Oct 2007
Posts: 40
Location: South Croydon, UK

PostPosted: Fri 12 Oct 2007, 18:06    Post subject:  fwbuilder / libqt problem  

I'm trying to get Firewall Builder to help me get my iptables setup.

I found a post listing fwbuilder requirements, and based on that I've installed the fwbuilder-2.1.14 RPM, the libfwbuilder RPM, libnetsnmp.pup, libelf.pup, libssl4.pup and qt-3.3.8.pet (download from here - no internet on the machine yet)

After all that, I try running /usr/bin/fwbuilder but it complains about libqt:
Quote:
/usr/bin/fwbuilder: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory

So presumably something didn't work when I installed the qt pet - anyone know how to determine what isn't right and how I can fix it?

_________________
- Peter Boughton -
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger MSN Messenger 
trapster


Joined: 28 Nov 2005
Posts: 2012
Location: Maine, USA

PostPosted: Fri 12 Oct 2007, 18:16    Post subject:  

If you have /usr/lib/qt-3.3.8/libqt-mt.so.3.3.8 try linking it to /usr/lib/qt-3.3.8/libqt-mt.so.3

also...maybe it would help if you also link /usr/lib/qt-3.3.8 to /usr/lib/qt if it's not already

_________________
trapster
Maine, USA

Asus eeepc 1005HA PU1X-BK
Frugal install: Puppeee4.31 + 1.0, Puppy4.10 + Lupu52
Currently using Slacko AND lupu52 w/ fluxbox
Back to top
View user's profile Send private message Visit poster's website 
boughtonp

Joined: 04 Oct 2007
Posts: 40
Location: South Croydon, UK

PostPosted: Fri 12 Oct 2007, 18:24    Post subject:  

The first was already done, but I did /usr/lib/qt-3.3.8 to /usr/lib/qt and that worked. Thanks! Smile
_________________
- Peter Boughton -
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger MSN Messenger 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0439s ][ Queries: 12 (0.0062s) ][ GZIP on ]